# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# Yow Emacs, this is a -*- makefile -*-

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_INSTALLED_FALSE = @KDE_INSTALLED_FALSE@
KDE_INSTALLED_TRUE = @KDE_INSTALLED_TRUE@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LDFLAGS = @LDFLAGS@
LIBBSD = @LIBBSD@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBXF86VIDMODE = @LIBXF86VIDMODE@
LIBXINERAMA = @LIBXINERAMA@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SLP = @LIB_SLP@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
certmanager_SUBDIR_included_FALSE = @certmanager_SUBDIR_included_FALSE@
certmanager_SUBDIR_included_TRUE = @certmanager_SUBDIR_included_TRUE@
datadir = @datadir@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdict_SUBDIR_included_FALSE = @kdict_SUBDIR_included_FALSE@
kdict_SUBDIR_included_TRUE = @kdict_SUBDIR_included_TRUE@
kfile_plugins_SUBDIR_included_FALSE = @kfile_plugins_SUBDIR_included_FALSE@
kfile_plugins_SUBDIR_included_TRUE = @kfile_plugins_SUBDIR_included_TRUE@
kget_SUBDIR_included_FALSE = @kget_SUBDIR_included_FALSE@
kget_SUBDIR_included_TRUE = @kget_SUBDIR_included_TRUE@
kit_SUBDIR_included_FALSE = @kit_SUBDIR_included_FALSE@
kit_SUBDIR_included_TRUE = @kit_SUBDIR_included_TRUE@
kmail_SUBDIR_included_FALSE = @kmail_SUBDIR_included_FALSE@
kmail_SUBDIR_included_TRUE = @kmail_SUBDIR_included_TRUE@
kmailcvt_SUBDIR_included_FALSE = @kmailcvt_SUBDIR_included_FALSE@
kmailcvt_SUBDIR_included_TRUE = @kmailcvt_SUBDIR_included_TRUE@
knewsticker_SUBDIR_included_FALSE = @knewsticker_SUBDIR_included_FALSE@
knewsticker_SUBDIR_included_TRUE = @knewsticker_SUBDIR_included_TRUE@
knode_SUBDIR_included_FALSE = @knode_SUBDIR_included_FALSE@
knode_SUBDIR_included_TRUE = @knode_SUBDIR_included_TRUE@
korn_SUBDIR_included_FALSE = @korn_SUBDIR_included_FALSE@
korn_SUBDIR_included_TRUE = @korn_SUBDIR_included_TRUE@
kpf_SUBDIR_included_FALSE = @kpf_SUBDIR_included_FALSE@
kpf_SUBDIR_included_TRUE = @kpf_SUBDIR_included_TRUE@
kppp_SUBDIR_included_FALSE = @kppp_SUBDIR_included_FALSE@
kppp_SUBDIR_included_TRUE = @kppp_SUBDIR_included_TRUE@
krdc_SUBDIR_included_FALSE = @krdc_SUBDIR_included_FALSE@
krdc_SUBDIR_included_TRUE = @krdc_SUBDIR_included_TRUE@
krfb_SUBDIR_included_FALSE = @krfb_SUBDIR_included_FALSE@
krfb_SUBDIR_included_TRUE = @krfb_SUBDIR_included_TRUE@
ksirc_SUBDIR_included_FALSE = @ksirc_SUBDIR_included_FALSE@
ksirc_SUBDIR_included_TRUE = @ksirc_SUBDIR_included_TRUE@
ktalkd_SUBDIR_included_FALSE = @ktalkd_SUBDIR_included_FALSE@
ktalkd_SUBDIR_included_TRUE = @ktalkd_SUBDIR_included_TRUE@
kxmlrpc_SUBDIR_included_FALSE = @kxmlrpc_SUBDIR_included_FALSE@
kxmlrpc_SUBDIR_included_TRUE = @kxmlrpc_SUBDIR_included_TRUE@
lanbrowsing_SUBDIR_included_FALSE = @lanbrowsing_SUBDIR_included_FALSE@
lanbrowsing_SUBDIR_included_TRUE = @lanbrowsing_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkdenetwork_SUBDIR_included_FALSE = @libkdenetwork_SUBDIR_included_FALSE@
libkdenetwork_SUBDIR_included_TRUE = @libkdenetwork_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimelib_SUBDIR_included_FALSE = @mimelib_SUBDIR_included_FALSE@
mimelib_SUBDIR_included_TRUE = @mimelib_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@

# if you use a variable *dir and have *_DATA, it will be installed by
# make install
appsdir = $(kde_appsdir)/Internet
apps_DATA = Kppp.desktop

EXTRA_DIST = $(apps_DATA)

# set the include path for X, qt and KDE
INCLUDES = $(all_includes)
# claim, which subdirectories you want to install
SUBDIRS = pixmaps icons logview Rules DB

# This one gets installed 
bin_PROGRAMS = kppp

# Which sources should be compiled for kppp.
kppp_SOURCES = kpppwidget.cpp \
		general.cpp \
		accounts.cpp \
		connect.cpp \
		conwindow.cpp \
		debug.cpp \
		edit.cpp \
		iplined.cpp \
		main.cpp \
                modem.cpp \
		modemcmds.cpp \
		pppdargs.cpp \
		pppdata.cpp \
		scriptedit.cpp\
		pwentry.cpp \
		modeminfo.cpp\
		pppstatdlg.cpp\
		pppstats.cpp\
		miniterm.cpp\
		accounting.cpp \
		acctselect.cpp\
		ruleset.cpp \
		docking.cpp \
		runtests.cpp \
		loginterm.cpp \
		ppplog.cpp \
		newwidget.cpp \
		requester.cpp \
		opener.cpp \
		modemdb.cpp \
		utils.cpp \
		providerdb.cpp


# the library search path
kppp_LDFLAGS = $(all_libraries) $(KDE_RPATH)

# the libraries to link against. Be aware of the order. First the libraries,
# that depend on the following ones.
kppp_LDADD = -lm $(LIB_KIO) $(LIB_KDEUI)

# this option you can leave out. Just, if you use "make dist", you need it
noinst_HEADERS = kpppwidget.h \
		accounts.h \
		kpppconfig.h \
		connect.h \
		conwindow.h \
		debug.h \
		edit.h \
		general.h \
		iplined.h \
		main.h \
                modem.h \
		modemcmds.h \
		pppdargs.h \
		pppdata.h \
		scriptedit.h\
		pwentry.h \
		modeminfo.h\
		pppstatdlg.h\
		miniterm.h\
		accounting.h \
		acctselect.h\
		ruleset.h \
		docking.h \
		runtests.h \
		loginterm.h \
		auth.h \
		version.h \
		macros.h \
		ppplog.h \
		newwidget.h \
		modemdb.h \
		utils.h \
		providerdb.h


#>- METASOURCES = accounting.moc \
#>- 	accounts.moc \
#>- 	acctselect.moc \
#>- 	connect.moc \
#>- 	conwindow.moc \
#>- 	debug.moc \
#>- 	docking.moc \
#>- 	edit.moc \
#>- 	general.moc \
#>- 	loginterm.moc \
#>- 	kpppwidget.moc \
#>- 	miniterm.moc \
#>- 	modem.moc \
#>- 	modemcmds.moc \
#>- 	modemdb.moc \
#>- 	modeminfo.moc \
#>- 	pppdargs.moc \
#>- 	pppstatdlg.moc \
#>- 	pppstats.moc \
#>- 	pwentry.moc \
#>- 	scriptedit.moc \
#>- 	providerdb.moc

subdir = kppp
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = kppp$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_kppp_OBJECTS = kpppwidget.$(OBJEXT) general.$(OBJEXT) \
	accounts.$(OBJEXT) connect.$(OBJEXT) conwindow.$(OBJEXT) \
	debug.$(OBJEXT) edit.$(OBJEXT) iplined.$(OBJEXT) main.$(OBJEXT) \
	modem.$(OBJEXT) modemcmds.$(OBJEXT) pppdargs.$(OBJEXT) \
	pppdata.$(OBJEXT) scriptedit.$(OBJEXT) pwentry.$(OBJEXT) \
	modeminfo.$(OBJEXT) pppstatdlg.$(OBJEXT) pppstats.$(OBJEXT) \
	miniterm.$(OBJEXT) accounting.$(OBJEXT) acctselect.$(OBJEXT) \
	ruleset.$(OBJEXT) docking.$(OBJEXT) runtests.$(OBJEXT) \
	loginterm.$(OBJEXT) ppplog.$(OBJEXT) newwidget.$(OBJEXT) \
	requester.$(OBJEXT) opener.$(OBJEXT) modemdb.$(OBJEXT) \
	utils.$(OBJEXT) providerdb.$(OBJEXT)
#>- kppp_OBJECTS = $(am_kppp_OBJECTS)
#>+ 14
kppp_final_OBJECTS = kppp.all_cpp.o 
kppp_nofinal_OBJECTS = kpppwidget.$(OBJEXT) general.$(OBJEXT) \
	accounts.$(OBJEXT) connect.$(OBJEXT) conwindow.$(OBJEXT) \
	debug.$(OBJEXT) edit.$(OBJEXT) iplined.$(OBJEXT) main.$(OBJEXT) \
	modem.$(OBJEXT) modemcmds.$(OBJEXT) pppdargs.$(OBJEXT) \
	pppdata.$(OBJEXT) scriptedit.$(OBJEXT) pwentry.$(OBJEXT) \
	modeminfo.$(OBJEXT) pppstatdlg.$(OBJEXT) pppstats.$(OBJEXT) \
	miniterm.$(OBJEXT) accounting.$(OBJEXT) acctselect.$(OBJEXT) \
	ruleset.$(OBJEXT) docking.$(OBJEXT) runtests.$(OBJEXT) \
	loginterm.$(OBJEXT) ppplog.$(OBJEXT) newwidget.$(OBJEXT) \
	requester.$(OBJEXT) opener.$(OBJEXT) modemdb.$(OBJEXT) \
	utils.$(OBJEXT) providerdb.$(OBJEXT)
@KDE_USE_FINAL_FALSE@kppp_OBJECTS = $(kppp_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kppp_OBJECTS = $(kppp_final_OBJECTS)
kppp_DEPENDENCIES =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/accounting.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/accounts.Po ./$(DEPDIR)/acctselect.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/connect.Po ./$(DEPDIR)/conwindow.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/debug.Po ./$(DEPDIR)/docking.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/edit.Po ./$(DEPDIR)/general.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/iplined.Po ./$(DEPDIR)/kpppwidget.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/loginterm.Po ./$(DEPDIR)/main.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/miniterm.Po ./$(DEPDIR)/modem.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/modemcmds.Po ./$(DEPDIR)/modemdb.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/modeminfo.Po ./$(DEPDIR)/newwidget.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/opener.Po ./$(DEPDIR)/pppdargs.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/pppdata.Po ./$(DEPDIR)/ppplog.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/pppstatdlg.Po ./$(DEPDIR)/pppstats.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/providerdb.Po ./$(DEPDIR)/pwentry.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/requester.Po ./$(DEPDIR)/ruleset.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/runtests.Po ./$(DEPDIR)/scriptedit.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/utils.Po
#>+ 35
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =   $(DEPDIR)/kppp.all_cpp.P  ./$(DEPDIR)/accounting.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/accounts.Po ./$(DEPDIR)/acctselect.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/connect.Po ./$(DEPDIR)/conwindow.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/debug.Po ./$(DEPDIR)/docking.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/edit.Po ./$(DEPDIR)/general.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/iplined.Po ./$(DEPDIR)/kpppwidget.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/loginterm.Po ./$(DEPDIR)/main.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/miniterm.Po ./$(DEPDIR)/modem.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/modemcmds.Po ./$(DEPDIR)/modemdb.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/modeminfo.Po ./$(DEPDIR)/newwidget.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/opener.Po ./$(DEPDIR)/pppdargs.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/pppdata.Po ./$(DEPDIR)/ppplog.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/pppstatdlg.Po ./$(DEPDIR)/pppstats.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/providerdb.Po ./$(DEPDIR)/pwentry.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/requester.Po ./$(DEPDIR)/ruleset.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/runtests.Po ./$(DEPDIR)/scriptedit.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/utils.Po
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =   ./$(DEPDIR)/accounting.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/accounts.Po ./$(DEPDIR)/acctselect.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/connect.Po ./$(DEPDIR)/conwindow.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/debug.Po ./$(DEPDIR)/docking.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/edit.Po ./$(DEPDIR)/general.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/iplined.Po ./$(DEPDIR)/kpppwidget.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/loginterm.Po ./$(DEPDIR)/main.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/miniterm.Po ./$(DEPDIR)/modem.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/modemcmds.Po ./$(DEPDIR)/modemdb.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/modeminfo.Po ./$(DEPDIR)/newwidget.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/opener.Po ./$(DEPDIR)/pppdargs.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/pppdata.Po ./$(DEPDIR)/ppplog.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/pppstatdlg.Po ./$(DEPDIR)/pppstats.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/providerdb.Po ./$(DEPDIR)/pwentry.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/requester.Po ./$(DEPDIR)/ruleset.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/runtests.Po ./$(DEPDIR)/scriptedit.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/utils.Po

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(kppp_SOURCES)
DATA = $(apps_DATA)

HEADERS = $(noinst_HEADERS)


RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = README $(noinst_HEADERS) AUTHORS ChangeLog INSTALL \
	Makefile.am Makefile.in NEWS TODO
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(kppp_SOURCES)

#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  kppp/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kppp/Makefile
	cd $(top_srcdir) && perl admin/am_edit kppp/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
kppp$(EXEEXT): $(kppp_OBJECTS) $(kppp_DEPENDENCIES) 
	@rm -f kppp$(EXEEXT)
	$(CXXLINK) $(kppp_LDFLAGS) $(kppp_OBJECTS) $(kppp_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/accounting.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/accounts.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/acctselect.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/connect.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conwindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/debug.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/docking.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/edit.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/general.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iplined.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpppwidget.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loginterm.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/miniterm.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/modem.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/modemcmds.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/modemdb.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/modeminfo.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/newwidget.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/opener.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pppdargs.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pppdata.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ppplog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pppstatdlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pppstats.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/providerdb.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pwentry.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/requester.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ruleset.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtests.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scriptedit.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/utils.Po@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
appsDATA_INSTALL = $(INSTALL_DATA)
install-appsDATA: $(apps_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(appsdir)
	@list='$(apps_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(appsDATA_INSTALL) $$d$$p $(DESTDIR)$(appsdir)/$$f"; \
	  $(appsDATA_INSTALL) $$d$$p $(DESTDIR)$(appsdir)/$$f; \
	done

uninstall-appsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(apps_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(appsdir)/$$f"; \
	  rm -f $(DESTDIR)$(appsdir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=pppstats.h Kppp.desktop maintainer.h requester.h README.ModemDB HISTORY devices.h configure.in.in convlog.tcl opener.h 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(PROGRAMS) $(DATA) $(HEADERS)
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(bindir) $(DESTDIR)$(appsdir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
#>+ 1
clean-am: clean-metasources clean-final  clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am: install-appsDATA install-data-local

install-exec-am: install-binPROGRAMS
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-appsDATA uninstall-binPROGRAMS uninstall-info-am

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
	clean-binPROGRAMS clean-generic clean-libtool clean-recursive \
	ctags ctags-recursive distclean distclean-compile \
	distclean-depend distclean-generic distclean-libtool \
	distclean-recursive distclean-tags distdir dvi dvi-am \
	dvi-recursive info info-am info-recursive install install-am \
	install-appsDATA install-binPROGRAMS install-data \
	install-data-am install-data-local install-data-recursive \
	install-exec install-exec-am install-exec-recursive \
	install-info install-info-am install-info-recursive install-man \
	install-recursive install-strip installcheck installcheck-am \
	installdirs installdirs-am installdirs-recursive \
	maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
	pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
	tags-recursive uninstall uninstall-am uninstall-appsDATA \
	uninstall-binPROGRAMS uninstall-info-am \
	uninstall-info-recursive uninstall-recursive


messages:
	$(XGETTEXT) $(kppp_SOURCES) -o $(podir)/kppp.pot

# just install datas here. Use install-exec-data for scripts and etc.
# the binary itself is already installed from automake
# use mkinstalldirs, not "install -d"
# don't install a list of file. Just one file per install.
# if you have more of them, create a subdirectory with an extra Makefile 
install-data-local:
	@echo ""
	@echo "Don't forget to send me a phone tarif rules file for your"
	@echo "telecom company/country/region. Thanks."
	@echo ""
	@echo "We will be maintaining an archive on the kppp page at"
	@echo "http://devel-home.kde.org/~kppp/index.html"
	@echo "WARNING: kppp is by default installed with SETUID bit on!"
	@echo  "If you are concerned about the SETUID bit, create a modem"
	@echo "group instead."
	@echo ""
	@echo "Happy Dialing! -- the KPPP team"
	@echo ""

# kppp wants to be installed suid root
install-exec-hook:
	@(chown root $(DESTDIR)/$(bindir)/kppp && chmod 4755 $(DESTDIR)/$(bindir)/kppp) || echo "Was not able to make kppp setuid root"

# remove ALL you have installed in install-data-local or install-exec-local
#uninstall-local:
#	@(cd Rules && $(MAKE) uninstall)

#distclean-local:
#	@(cd Rules && $(MAKE) distclean)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 3
general.moc: $(srcdir)/general.h
	$(MOC) $(srcdir)/general.h -o general.moc

#>+ 1
mocs: general.moc
#>+ 3
modemcmds.moc: $(srcdir)/modemcmds.h
	$(MOC) $(srcdir)/modemcmds.h -o modemcmds.moc

#>+ 1
mocs: modemcmds.moc
#>+ 3
acctselect.moc: $(srcdir)/acctselect.h
	$(MOC) $(srcdir)/acctselect.h -o acctselect.moc

#>+ 1
mocs: acctselect.moc
#>+ 3
pppdargs.moc: $(srcdir)/pppdargs.h
	$(MOC) $(srcdir)/pppdargs.h -o pppdargs.moc

#>+ 1
mocs: pppdargs.moc
#>+ 3
kpppwidget.moc: $(srcdir)/kpppwidget.h
	$(MOC) $(srcdir)/kpppwidget.h -o kpppwidget.moc

#>+ 1
mocs: kpppwidget.moc
#>+ 3
edit.moc: $(srcdir)/edit.h
	$(MOC) $(srcdir)/edit.h -o edit.moc

#>+ 1
mocs: edit.moc
#>+ 3
modem.moc: $(srcdir)/modem.h
	$(MOC) $(srcdir)/modem.h -o modem.moc

#>+ 1
mocs: modem.moc
#>+ 3
scriptedit.moc: $(srcdir)/scriptedit.h
	$(MOC) $(srcdir)/scriptedit.h -o scriptedit.moc

#>+ 1
mocs: scriptedit.moc
#>+ 3
modemdb.moc: $(srcdir)/modemdb.h
	$(MOC) $(srcdir)/modemdb.h -o modemdb.moc

#>+ 1
mocs: modemdb.moc
#>+ 3
docking.moc: $(srcdir)/docking.h
	$(MOC) $(srcdir)/docking.h -o docking.moc

#>+ 1
mocs: docking.moc
#>+ 3
debug.moc: $(srcdir)/debug.h
	$(MOC) $(srcdir)/debug.h -o debug.moc

#>+ 1
mocs: debug.moc
#>+ 3
loginterm.moc: $(srcdir)/loginterm.h
	$(MOC) $(srcdir)/loginterm.h -o loginterm.moc

#>+ 1
mocs: loginterm.moc
#>+ 3
conwindow.moc: $(srcdir)/conwindow.h
	$(MOC) $(srcdir)/conwindow.h -o conwindow.moc

#>+ 1
mocs: conwindow.moc
#>+ 3
accounts.moc: $(srcdir)/accounts.h
	$(MOC) $(srcdir)/accounts.h -o accounts.moc

#>+ 1
mocs: accounts.moc
#>+ 3
connect.moc: $(srcdir)/connect.h
	$(MOC) $(srcdir)/connect.h -o connect.moc

#>+ 1
mocs: connect.moc
#>+ 3
modeminfo.moc: $(srcdir)/modeminfo.h
	$(MOC) $(srcdir)/modeminfo.h -o modeminfo.moc

#>+ 1
mocs: modeminfo.moc
#>+ 3
pppstatdlg.moc: $(srcdir)/pppstatdlg.h
	$(MOC) $(srcdir)/pppstatdlg.h -o pppstatdlg.moc

#>+ 1
mocs: pppstatdlg.moc
#>+ 3
pwentry.moc: $(srcdir)/pwentry.h
	$(MOC) $(srcdir)/pwentry.h -o pwentry.moc

#>+ 1
mocs: pwentry.moc
#>+ 3
pppstats.moc: $(srcdir)/pppstats.h
	$(MOC) $(srcdir)/pppstats.h -o pppstats.moc

#>+ 1
mocs: pppstats.moc
#>+ 3
miniterm.moc: $(srcdir)/miniterm.h
	$(MOC) $(srcdir)/miniterm.h -o miniterm.moc

#>+ 1
mocs: miniterm.moc
#>+ 3
accounting.moc: $(srcdir)/accounting.h
	$(MOC) $(srcdir)/accounting.h -o accounting.moc

#>+ 1
mocs: accounting.moc
#>+ 3
providerdb.moc: $(srcdir)/providerdb.h
	$(MOC) $(srcdir)/providerdb.h -o providerdb.moc

#>+ 1
mocs: providerdb.moc
#>+ 3
clean-metasources:
	-rm -f  general.moc modemcmds.moc acctselect.moc pppdargs.moc kpppwidget.moc edit.moc modem.moc scriptedit.moc modemdb.moc docking.moc debug.moc loginterm.moc conwindow.moc accounts.moc connect.moc modeminfo.moc pppstatdlg.moc pwentry.moc pppstats.moc miniterm.moc accounting.moc providerdb.moc

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kppp/Makefile
	cd $(top_srcdir) && perl admin/am_edit kppp/Makefile.in


#>+ 11
kppp.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/kpppwidget.cpp $(srcdir)/general.cpp $(srcdir)/accounts.cpp $(srcdir)/connect.cpp $(srcdir)/conwindow.cpp $(srcdir)/debug.cpp $(srcdir)/edit.cpp $(srcdir)/iplined.cpp $(srcdir)/main.cpp $(srcdir)/modem.cpp $(srcdir)/modemcmds.cpp $(srcdir)/pppdargs.cpp $(srcdir)/pppdata.cpp $(srcdir)/scriptedit.cpp $(srcdir)/pwentry.cpp $(srcdir)/modeminfo.cpp $(srcdir)/pppstatdlg.cpp $(srcdir)/pppstats.cpp $(srcdir)/miniterm.cpp $(srcdir)/accounting.cpp $(srcdir)/acctselect.cpp $(srcdir)/ruleset.cpp $(srcdir)/docking.cpp $(srcdir)/runtests.cpp $(srcdir)/loginterm.cpp $(srcdir)/ppplog.cpp $(srcdir)/newwidget.cpp $(srcdir)/requester.cpp $(srcdir)/opener.cpp $(srcdir)/modemdb.cpp $(srcdir)/utils.cpp $(srcdir)/providerdb.cpp  general.moc modemcmds.moc pppdargs.moc acctselect.moc kpppwidget.moc modem.moc edit.moc scriptedit.moc modemdb.moc docking.moc debug.moc loginterm.moc accounts.moc conwindow.moc connect.moc modeminfo.moc pppstatdlg.moc pwentry.moc pppstats.moc miniterm.moc accounting.moc providerdb.moc
	@echo 'creating kppp.all_cpp.cpp ...'; \
	rm -f kppp.all_cpp.files kppp.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kppp.all_cpp.final; \
	for file in kpppwidget.cpp general.cpp accounts.cpp connect.cpp conwindow.cpp debug.cpp edit.cpp iplined.cpp main.cpp modem.cpp modemcmds.cpp pppdargs.cpp pppdata.cpp scriptedit.cpp pwentry.cpp modeminfo.cpp pppstatdlg.cpp pppstats.cpp miniterm.cpp accounting.cpp acctselect.cpp ruleset.cpp docking.cpp runtests.cpp loginterm.cpp ppplog.cpp newwidget.cpp requester.cpp opener.cpp modemdb.cpp utils.cpp providerdb.cpp ; do \
	  echo "#include \"$$file\"" >> kppp.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kppp.all_cpp.final; \
	done; \
	cat kppp.all_cpp.final kppp.all_cpp.files > kppp.all_cpp.cpp; \
	rm -f kppp.all_cpp.final kppp.all_cpp.files

#>+ 3
clean-final:
	-rm -f kppp.all_cpp.cpp

#>+ 2
final:
	$(MAKE) kppp_OBJECTS="$(kppp_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) kppp_OBJECTS="$(kppp_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) kppp_OBJECTS="$(kppp_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) kppp_OBJECTS="$(kppp_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 45
accounting.lo: accounting.moc 
pppstats.lo: pppstats.moc 
modeminfo.lo: modeminfo.moc 
general.lo: general.moc 
loginterm.o: loginterm.moc 
modemdb.lo: modemdb.moc 
accounting.o: accounting.moc 
pppstatdlg.o: pppstatdlg.moc 
acctselect.o: acctselect.moc 
miniterm.lo: miniterm.moc 
modem.o: modem.moc 
pppdargs.lo: pppdargs.moc 
modemcmds.lo: modemcmds.moc 
pwentry.lo: pwentry.moc 
pwentry.o: pwentry.moc 
conwindow.lo: conwindow.moc 
accounts.lo: accounts.moc 
conwindow.o: conwindow.moc 
loginterm.lo: loginterm.moc 
accounts.o: accounts.moc 
kpppwidget.o: kpppwidget.moc 
pppstatdlg.lo: pppstatdlg.moc 
docking.lo: docking.moc 
acctselect.lo: acctselect.moc 
edit.lo: edit.moc 
connect.lo: connect.moc 
modemcmds.o: modemcmds.moc 
kpppwidget.lo: kpppwidget.moc 
scriptedit.lo: scriptedit.moc 
docking.o: docking.moc 
debug.lo: debug.moc 
pppstats.o: pppstats.moc 
general.o: general.moc 
modemdb.o: modemdb.moc 
pppdargs.o: pppdargs.moc 
modeminfo.o: modeminfo.moc 
providerdb.o: providerdb.moc 
modem.lo: modem.moc 
providerdb.lo: providerdb.moc 
scriptedit.o: scriptedit.moc 
debug.o: debug.moc 
miniterm.o: miniterm.moc 
edit.o: edit.moc 
connect.o: connect.moc 
